> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bouncy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Usage

> Retrieve your API usage statistics and rate limits

## Request

### Headers

## Response

<ResponseField name="requestsToday" type="number">
  Number of API requests made today
</ResponseField>

<ResponseField name="requestsThisHour" type="number">
  Number of API requests made in the current hour
</ResponseField>

<ResponseField name="totalRequests" type="number">
  Total API requests made with this API key (all time)
</ResponseField>

<ResponseField name="rateLimit" type="object">
  Your rate limits

  <Expandable title="properties">
    <ResponseField name="hourly" type="number">
      Maximum requests per hour
    </ResponseField>

    <ResponseField name="daily" type="number">
      Maximum requests per day
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="remaining" type="object">
  Remaining requests

  <Expandable title="properties">
    <ResponseField name="hourly" type="number">
      Requests remaining this hour
    </ResponseField>

    <ResponseField name="daily" type="number">
      Requests remaining today
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="resetAt" type="object">
  When limits reset

  <Expandable title="properties">
    <ResponseField name="hourly" type="number">
      Unix timestamp when hourly limit resets
    </ResponseField>

    <ResponseField name="daily" type="number">
      Unix timestamp when daily limit resets
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.bouncy.ai/v1/account/usage \
    -H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.bouncy.ai/v1/account/usage',
    {
      headers: {
        'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
      }
    }
  );

  const usage = await response.json();
  console.log(`Requests today: ${usage.requestsToday}/${usage.rateLimit.daily}`);
  console.log(`Requests this hour: ${usage.requestsThisHour}/${usage.rateLimit.hourly}`);
  console.log(`Remaining today: ${usage.remaining.daily}`);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.bouncy.ai/v1/account/usage',
      headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
  )

  usage = response.json()
  print(f"Requests today: {usage['requestsToday']}/{usage['rateLimit']['daily']}")
  print(f"Requests this hour: {usage['requestsThisHour']}/{usage['rateLimit']['hourly']}")
  print(f"Total requests: {usage['totalRequests']}")
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "requestsToday": 234,
    "requestsThisHour": 45,
    "totalRequests": 5678,
    "rateLimit": {
      "hourly": 1000,
      "daily": 10000
    },
    "remaining": {
      "hourly": 955,
      "daily": 9766
    },
    "resetAt": {
      "hourly": 1738886400,
      "daily": 1738915200
    }
  }
  ```

  ```json 200 Scaling Plan theme={null}
  {
    "requestsToday": 1234,
    "requestsThisHour": 287,
    "totalRequests": 45678,
    "rateLimit": {
      "hourly": 5000,
      "daily": 50000
    },
    "remaining": {
      "hourly": 4713,
      "daily": 48766
    },
    "resetAt": {
      "hourly": 1738886400,
      "daily": 1738915200
    }
  }
  ```
</ResponseExample>
